VST 3 Interfaces: IMidiLearn2 Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IMidiLearn2 Class Referenceabstract

MIDI Learn interface: Vst::IMidiLearn2. More...

`#include <ivstmidimapping2.h>`

Inheritance diagram for IMidiLearn2:

## Public Member Functions
virtual tresult | onLiveMidi2ControllerInput (BusIndex index, MidiChannel channel, Midi2Controller midiCC)=0
| Called on live input MIDI 2.0-CC change associated to a given bus index and MIDI channel.
virtual tresult | onLiveMidi1ControllerInput (BusIndex index, MidiChannel channel, CtrlNumber midiCC)=0
| Called on live input MIDI 1.0-CC change associated to a given bus index and MIDI channel.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

MIDI Learn interface: Vst::IMidiLearn2.

- [plug imp]
- [extends IEditController]
- [released: 3.8.0]
- [optional]
- [replaces Vst::IMidiLearn]

If this interface is implemented by the edit controller, the host will call this method whenever there is live MIDI-CC input for the plug-in. This way, the plug-in can change its MIDI-CC parameter mapping and notify the host using IComponentHandler::restartComponent with the kMidiCCAssignmentChanged flag. Use this if you want to implement custom MIDI-Learn functionality in your plug-in.

## Member Function Documentation

## ◆ onLiveMidi2ControllerInput()

virtual tresult onLiveMidi2ControllerInput | ( | BusIndex | index,
|  | MidiChannel | channel,
|  | Midi2Controller | midiCC )
| pure virtual

Called on live input MIDI 2.0-CC change associated to a given bus index and MIDI channel.

Note
  [UI-thread & (Initialized | Connected)]

## ◆ onLiveMidi1ControllerInput()

virtual tresult onLiveMidi1ControllerInput | ( | BusIndex | index,
|  | MidiChannel | channel,
|  | CtrlNumber | midiCC )
| pure virtual

Called on live input MIDI 1.0-CC change associated to a given bus index and MIDI channel.

Note
  [UI-thread & (Initialized | Connected)]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.